Subject: Re: TIPC handling of ethernet mac address change

From: Ying Xue <[email-masked]>
Date: Thu, 23 Aug 2012 14:56:23 +0800

Hi Chris,

You are right.

Currently TIPC does not handle the change of mac address.
So I will submit a related patch to fix the issue to net-next tree.

Thanks for your report.

Regards,
Ying

Chris Friesen wrote:
> Hi,
>
> I'm pretty new to tipc so pardon me if I use the wrong terminology. :)
>
> I'm using TIPC 1.7.7 and bonding.  I'm seeing some strange behaviour 
> when the bond MAC address changes--the tipc LINK_CONFIG messages still 
> contain the old MAC address embedded in them.  This causes the other 
> end to send back to us on the wrong MAC and the packets get dropped.
>
> I see recv_notification() has a case for NETDEV_CHANGEADDR so it looks 
> like MAC address change was intended to be handled, but I'm not 
> entirely clear on where the MAC address is supposed to be changed.
>
> Any assistance on debugging/patching this would be appreciated.
>
> Chris
>
>